changeset in /hg/icedtea: 2008-01-04 Matthias Klose <doko at ubun...
Lillian Angel
langel at redhat.com
Fri Jan 4 06:55:01 PST 2008
changeset b4320fbec908 in /hg/icedtea
details: http://icedtea.classpath.org/hg/icedtea?cmd=changeset;node=b4320fbec908
description:
2008-01-04 Matthias Klose <doko at ubuntu.com>
* configure.ac: Only check for hg if --with-openjdk-src-zip is not
used.
* configure: Regenerate.
* Makefile.am
(dist-openjdk): Report error if hg is not installed.
* Makefile.in: Regenerate.
diffstat:
5 files changed, 149 insertions(+), 122 deletions(-)
ChangeLog | 9 ++
Makefile.am | 16 ++--
Makefile.in | 14 ++-
configure | 227 +++++++++++++++++++++++++++++-----------------------------
configure.ac | 5 +
diffs (371 lines):
diff -r d081109a63e2 -r b4320fbec908 ChangeLog
--- a/ChangeLog Thu Jan 03 12:37:02 2008 -0500
+++ b/ChangeLog Fri Jan 04 09:53:45 2008 -0500
@@ -1,3 +1,12 @@ 2008-01-03 Lillian Angel <langel at redha
+2008-01-04 Matthias Klose <doko at ubuntu.com>
+
+ * configure.ac: Only check for hg if --with-openjdk-src-zip is not
+ used.
+ * configure: Regenerate.
+ * Makefile.am
+ (dist-openjdk): Report error if hg is not installed.
+ * Makefile.in: Regenerate.
+
2008-01-03 Lillian Angel <langel at redhat.com>
* NEWS: Updated for 1.5 release.
diff -r d081109a63e2 -r b4320fbec908 Makefile.am
--- a/Makefile.am Thu Jan 03 12:37:02 2008 -0500
+++ b/Makefile.am Fri Jan 04 09:53:45 2008 -0500
@@ -105,11 +105,17 @@ snapshot: dist
# Creates archive of openjdk.
dist-openjdk:
- if ! hg fclone -h; \
- then \
- echo "No forest extension found. Please refer to" \
- "http://selenic.com/mercurial/wiki/index.cgi/ForestExtension"; \
- exit 1; \
+ if ! hg; \
+ then \
+ echo "Mercurial cannot be found. Please install it and try again."; \
+ exit 1; \
+ else \
+ if ! hg fclone -h; \
+ then \
+ echo "No forest extension found. Please refer to" \
+ "http://selenic.com/mercurial/wiki/index.cgi/ForestExtension"; \
+ exit 1; \
+ fi; \
fi
hg fclone -r jdk7-$(OPENJDK_VERSION) $(OPENJDK_URL) openjdk-dist/openjdk
find -name \\.hg* | xargs rm -rf
diff -r d081109a63e2 -r b4320fbec908 Makefile.in
--- a/Makefile.in Thu Jan 03 12:37:02 2008 -0500
+++ b/Makefile.in Fri Jan 04 09:53:45 2008 -0500
@@ -666,11 +666,17 @@ snapshot: dist
# Creates archive of openjdk.
dist-openjdk:
- if ! hg fclone -h; \
+ if ! hg; \
then \
- echo "No forest extension found. Please refer to" \
- "http://selenic.com/mercurial/wiki/index.cgi/ForestExtension"; \
- exit 1; \
+ echo "Mercurial cannot be found. Please install it and try again."; \
+ exit 1; \
+ else \
+ if ! hg fclone -h; \
+ then \
+ echo "No forest extension found. Please refer to" \
+ "http://selenic.com/mercurial/wiki/index.cgi/ForestExtension"; \
+ exit 1; \
+ fi; \
fi
hg fclone -r jdk7-$(OPENJDK_VERSION) $(OPENJDK_URL) openjdk-dist/openjdk
find -name \\.hg* | xargs rm -rf
diff -r d081109a63e2 -r b4320fbec908 configure
--- a/configure Thu Jan 03 12:37:02 2008 -0500
+++ b/configure Fri Jan 04 09:53:45 2008 -0500
@@ -708,7 +708,6 @@ PATCH
PATCH
ZIP
UNZIP
-MERCURIAL
CHMOD
GAWK
SYSTEM_GCJ_DIR
@@ -738,6 +737,7 @@ GNU_CLASSLIB_FOUND_FALSE
GNU_CLASSLIB_FOUND_FALSE
FAST_BUILD_TRUE
FAST_BUILD_FALSE
+MERCURIAL
CPP
GREP
EGREP
@@ -4481,115 +4481,6 @@ echo "$as_me: error: unzip program not f
if test -n "$ac_tool_prefix"; then
- # Extract the first word of "${ac_tool_prefix}hg", so it can be a program name with args.
-set dummy ${ac_tool_prefix}hg; ac_word=$2
-{ echo "$as_me:$LINENO: checking for $ac_word" >&5
-echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6; }
-if test "${ac_cv_path_MERCURIAL+set}" = set; then
- echo $ECHO_N "(cached) $ECHO_C" >&6
-else
- case $MERCURIAL in
- [\\/]* | ?:[\\/]*)
- ac_cv_path_MERCURIAL="$MERCURIAL" # Let the user override the test with a path.
- ;;
- *)
- as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
-for as_dir in $PATH
-do
- IFS=$as_save_IFS
- test -z "$as_dir" && as_dir=.
- for ac_exec_ext in '' $ac_executable_extensions; do
- if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_test_x "$as_dir/$ac_word$ac_exec_ext"; }; then
- ac_cv_path_MERCURIAL="$as_dir/$ac_word$ac_exec_ext"
- echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
- break 2
- fi
-done
-done
-IFS=$as_save_IFS
-
- ;;
-esac
-fi
-MERCURIAL=$ac_cv_path_MERCURIAL
-if test -n "$MERCURIAL"; then
- { echo "$as_me:$LINENO: result: $MERCURIAL" >&5
-echo "${ECHO_T}$MERCURIAL" >&6; }
-else
- { echo "$as_me:$LINENO: result: no" >&5
-echo "${ECHO_T}no" >&6; }
-fi
-
-
-fi
-if test -z "$ac_cv_path_MERCURIAL"; then
- ac_pt_MERCURIAL=$MERCURIAL
- # Extract the first word of "hg", so it can be a program name with args.
-set dummy hg; ac_word=$2
-{ echo "$as_me:$LINENO: checking for $ac_word" >&5
-echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6; }
-if test "${ac_cv_path_ac_pt_MERCURIAL+set}" = set; then
- echo $ECHO_N "(cached) $ECHO_C" >&6
-else
- case $ac_pt_MERCURIAL in
- [\\/]* | ?:[\\/]*)
- ac_cv_path_ac_pt_MERCURIAL="$ac_pt_MERCURIAL" # Let the user override the test with a path.
- ;;
- *)
- as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
-for as_dir in $PATH
-do
- IFS=$as_save_IFS
- test -z "$as_dir" && as_dir=.
- for ac_exec_ext in '' $ac_executable_extensions; do
- if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_test_x "$as_dir/$ac_word$ac_exec_ext"; }; then
- ac_cv_path_ac_pt_MERCURIAL="$as_dir/$ac_word$ac_exec_ext"
- echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
- break 2
- fi
-done
-done
-IFS=$as_save_IFS
-
- ;;
-esac
-fi
-ac_pt_MERCURIAL=$ac_cv_path_ac_pt_MERCURIAL
-if test -n "$ac_pt_MERCURIAL"; then
- { echo "$as_me:$LINENO: result: $ac_pt_MERCURIAL" >&5
-echo "${ECHO_T}$ac_pt_MERCURIAL" >&6; }
-else
- { echo "$as_me:$LINENO: result: no" >&5
-echo "${ECHO_T}no" >&6; }
-fi
-
- if test "x$ac_pt_MERCURIAL" = x; then
- MERCURIAL=""
- else
- case $cross_compiling:$ac_tool_warned in
-yes:)
-{ echo "$as_me:$LINENO: WARNING: In the future, Autoconf will not detect cross-tools
-whose name does not start with the host triplet. If you think this
-configuration is useful to you, please write to autoconf at gnu.org." >&5
-echo "$as_me: WARNING: In the future, Autoconf will not detect cross-tools
-whose name does not start with the host triplet. If you think this
-configuration is useful to you, please write to autoconf at gnu.org." >&2;}
-ac_tool_warned=yes ;;
-esac
- MERCURIAL=$ac_pt_MERCURIAL
- fi
-else
- MERCURIAL="$ac_cv_path_MERCURIAL"
-fi
-
- if test x"$MERCURIAL" = x ; then
- { { echo "$as_me:$LINENO: error: hg program not found in PATH" >&5
-echo "$as_me: error: hg program not found in PATH" >&2;}
- { (exit 1); exit 1; }; }
- fi
-
-
-if test -n "$ac_tool_prefix"; then
# Extract the first word of "${ac_tool_prefix}chmod", so it can be a program name with args.
set dummy ${ac_tool_prefix}chmod; ac_word=$2
{ echo "$as_me:$LINENO: checking for $ac_word" >&5
@@ -6915,6 +6806,118 @@ fi
fi
+
+if test "$ALT_OPENJDK_SRC_ZIP" = "not specified"; then
+ if test -n "$ac_tool_prefix"; then
+ # Extract the first word of "${ac_tool_prefix}hg", so it can be a program name with args.
+set dummy ${ac_tool_prefix}hg; ac_word=$2
+{ echo "$as_me:$LINENO: checking for $ac_word" >&5
+echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6; }
+if test "${ac_cv_path_MERCURIAL+set}" = set; then
+ echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+ case $MERCURIAL in
+ [\\/]* | ?:[\\/]*)
+ ac_cv_path_MERCURIAL="$MERCURIAL" # Let the user override the test with a path.
+ ;;
+ *)
+ as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
+for as_dir in $PATH
+do
+ IFS=$as_save_IFS
+ test -z "$as_dir" && as_dir=.
+ for ac_exec_ext in '' $ac_executable_extensions; do
+ if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_test_x "$as_dir/$ac_word$ac_exec_ext"; }; then
+ ac_cv_path_MERCURIAL="$as_dir/$ac_word$ac_exec_ext"
+ echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
+ break 2
+ fi
+done
+done
+IFS=$as_save_IFS
+
+ ;;
+esac
+fi
+MERCURIAL=$ac_cv_path_MERCURIAL
+if test -n "$MERCURIAL"; then
+ { echo "$as_me:$LINENO: result: $MERCURIAL" >&5
+echo "${ECHO_T}$MERCURIAL" >&6; }
+else
+ { echo "$as_me:$LINENO: result: no" >&5
+echo "${ECHO_T}no" >&6; }
+fi
+
+
+fi
+if test -z "$ac_cv_path_MERCURIAL"; then
+ ac_pt_MERCURIAL=$MERCURIAL
+ # Extract the first word of "hg", so it can be a program name with args.
+set dummy hg; ac_word=$2
+{ echo "$as_me:$LINENO: checking for $ac_word" >&5
+echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6; }
+if test "${ac_cv_path_ac_pt_MERCURIAL+set}" = set; then
+ echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+ case $ac_pt_MERCURIAL in
+ [\\/]* | ?:[\\/]*)
+ ac_cv_path_ac_pt_MERCURIAL="$ac_pt_MERCURIAL" # Let the user override the test with a path.
+ ;;
+ *)
+ as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
+for as_dir in $PATH
+do
+ IFS=$as_save_IFS
+ test -z "$as_dir" && as_dir=.
+ for ac_exec_ext in '' $ac_executable_extensions; do
+ if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_test_x "$as_dir/$ac_word$ac_exec_ext"; }; then
+ ac_cv_path_ac_pt_MERCURIAL="$as_dir/$ac_word$ac_exec_ext"
+ echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
+ break 2
+ fi
+done
+done
+IFS=$as_save_IFS
+
+ ;;
+esac
+fi
+ac_pt_MERCURIAL=$ac_cv_path_ac_pt_MERCURIAL
+if test -n "$ac_pt_MERCURIAL"; then
+ { echo "$as_me:$LINENO: result: $ac_pt_MERCURIAL" >&5
+echo "${ECHO_T}$ac_pt_MERCURIAL" >&6; }
+else
+ { echo "$as_me:$LINENO: result: no" >&5
+echo "${ECHO_T}no" >&6; }
+fi
+
+ if test "x$ac_pt_MERCURIAL" = x; then
+ MERCURIAL=""
+ else
+ case $cross_compiling:$ac_tool_warned in
+yes:)
+{ echo "$as_me:$LINENO: WARNING: In the future, Autoconf will not detect cross-tools
+whose name does not start with the host triplet. If you think this
+configuration is useful to you, please write to autoconf at gnu.org." >&5
+echo "$as_me: WARNING: In the future, Autoconf will not detect cross-tools
+whose name does not start with the host triplet. If you think this
+configuration is useful to you, please write to autoconf at gnu.org." >&2;}
+ac_tool_warned=yes ;;
+esac
+ MERCURIAL=$ac_pt_MERCURIAL
+ fi
+else
+ MERCURIAL="$ac_cv_path_MERCURIAL"
+fi
+
+ if test x"$MERCURIAL" = x ; then
+ { { echo "$as_me:$LINENO: error: hg program not found in PATH" >&5
+echo "$as_me: error: hg program not found in PATH" >&2;}
+ { (exit 1); exit 1; }; }
+ fi
+
+
+fi
ac_ext=c
ac_cpp='$CPP $CPPFLAGS'
@@ -10636,10 +10639,10 @@ PATCH!$PATCH$ac_delim
PATCH!$PATCH$ac_delim
ZIP!$ZIP$ac_delim
UNZIP!$UNZIP$ac_delim
-MERCURIAL!$MERCURIAL$ac_delim
CHMOD!$CHMOD$ac_delim
GAWK!$GAWK$ac_delim
SYSTEM_GCJ_DIR!$SYSTEM_GCJ_DIR$ac_delim
+SYSTEM_ICEDTEA_DIR!$SYSTEM_ICEDTEA_DIR$ac_delim
_ACEOF
if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 97; then
@@ -10681,7 +10684,6 @@ ac_delim='%!_!# '
ac_delim='%!_!# '
for ac_last_try in false false false false false :; do
cat >conf$$subs.sed <<_ACEOF
-SYSTEM_ICEDTEA_DIR!$SYSTEM_ICEDTEA_DIR$ac_delim
SYSTEM_ANT_DIR!$SYSTEM_ANT_DIR$ac_delim
WITH_ICEDTEA_TRUE!$WITH_ICEDTEA_TRUE$ac_delim
WITH_ICEDTEA_FALSE!$WITH_ICEDTEA_FALSE$ac_delim
@@ -10707,6 +10709,7 @@ GNU_CLASSLIB_FOUND_FALSE!$GNU_CLASSLIB_F
GNU_CLASSLIB_FOUND_FALSE!$GNU_CLASSLIB_FOUND_FALSE$ac_delim
FAST_BUILD_TRUE!$FAST_BUILD_TRUE$ac_delim
FAST_BUILD_FALSE!$FAST_BUILD_FALSE$ac_delim
+MERCURIAL!$MERCURIAL$ac_delim
CPP!$CPP$ac_delim
GREP!$GREP$ac_delim
EGREP!$EGREP$ac_delim
diff -r d081109a63e2 -r b4320fbec908 configure.ac
--- a/configure.ac Thu Jan 03 12:37:02 2008 -0500
+++ b/configure.ac Fri Jan 04 09:53:45 2008 -0500
@@ -13,7 +13,6 @@ FIND_TOOL([PATCH], [patch])
FIND_TOOL([PATCH], [patch])
FIND_TOOL([ZIP], [zip])
FIND_TOOL([UNZIP], [unzip])
-FIND_TOOL([MERCURIAL], [hg])
FIND_TOOL([CHMOD], [chmod])
dnl OpenJDK's README-builds.html lists gawk as a build dependency so we
dnl check for it explicitly rather than using AC_PROG_AWK.
@@ -117,6 +116,10 @@ WITH_OPENJDK_SRC_DIR
WITH_OPENJDK_SRC_DIR
ENABLE_FAST_BUILD
+if test "$ALT_OPENJDK_SRC_ZIP" = "not specified"; then
+ FIND_TOOL([MERCURIAL], [hg])
+fi
+
CHECK_HEADERS
AC_CHECK_LIB(Xtst, XTestQueryExtension,
More information about the distro-pkg-dev
mailing list